import type { QVueGlobals } from 'quasar';

let qInstance: QVueGlobals | null = null;

export function setQuasarInstance($q: QVueGlobals) {
  qInstance = $q;
}

export function useGlobalQ(): QVueGlobals | null {
  return qInstance;
}
